#! /bin/sh

set -e 

HAVA_NAMES_FILE="/home/user/HAVA/havanames.txt"
HAVA_FAV_SETTINGS_FILE="/home/user/HAVA/hava_favorite_settings.dat"
HAVA_CUSTOM_SETTINGS_FILE="/home/user/HAVA/hava_custom_settings.dat"
HAVA_PLAYER_SETTINGS_FILE="/home/user/HAVA/playersettings.txt"
HAVA_RESTORE_LOGFILE="/home/user/HAVA/restore_log.txt"
HAVA_SETTINGS_DIR="/home/user/HAVA"

DBUS_SEND="/usr/bin/dbus-send"

trap "$DBUS_SEND --system '/com/nokia/backup' 'com.nokia.backup.restore_finish'" 0

RESTORE_LIST=$1

exec  2>>$HAVA_RESTORE_LOGFILE
exec  1>>$HAVA_RESTORE_LOGFILE


#Create the restore logfile

if  [ ! -d $HAVA_SETTINGS_DIR ]
then
	  mkdir -p $HAVA_SETTINGS_DIR
fi


if ! [ -e $RESTORE_LIST ]; then
	echo "no restore file found for HAVA Settings" 1>$HAVA_RESTORE_LOGFILE
	exit 1
fi

if ! [ -d $HAVA_SETTINGS_DIR ]; then
	echo "no hava settings directory exists" 1>>$HAVA_RESTORE_LOGFILE
	exit 1
fi

if cat $1 | grep $HAVA_NAMES_FILE
then
	echo "\"$HAVA_NAMES_FILE\" found !!" 1>>$HAVA_RESTORE_LOGFILE
else
	echo "\"$HAVA_NAMES_FILE\" not found" 1>>$HAVA_RESTORE_LOGFILE
fi

if cat $1 | grep $HAVA_FAV_SETTINGS_FILE
then
	echo "\"$HAVA_FAV_SETTINGS_FILE\" found !!" 1>>$HAVA_RESTORE_LOGFILE
else
	echo "\"$HAVA_FAV_SETTINGS_FILE\" not found" 1>>$HAVA_RESTORE_LOGFILE
fi

if cat $1 | grep $HAVA_CUSTOM_SETTINGS_FILE
then
	echo "\"$HAVA_CUSTOM_SETTINGS_FILE\" found !!" 1>>$HAVA_RESTORE_LOGFILE
else
	echo "\"$HAVA_CUSTOM_SETTINGS_FILE\" not found" 1>>$HAVA_RESTORE_LOGFILE
fi

if cat $1 | grep $HAVA_PLAYER_SETTINGS_FILE
then
	echo "\"$HAVA_PLAYER_SETTINGS_FILE\" found !!" 1>>$HAVA_RESTORE_LOGFILE
else
	echo "\"$HAVA_PLAYER_SETTINGS_FILE\" not found" 1>>$HAVA_RESTORE_LOGFILE
fi
chown -R user:users $HAVA_SETTINGS_DIR

exit 0
